Wrapper class that holds the attributes of a Task (or elements nested below that level) and takes care of configuring that element at runtime.

SMART-UP INLINE DOCS

author | Andreas Aderhold
author | Hans Lellelid
version | $Id$
package | phing

### Methods

## __construct()

    __construct(\proxy $proxy, $elementTag)

### Parameters

#### $proxy

`\proxy`

The element to wrap.

#### $elementTag

## Adds child elements to the wrapped element.

    addChild(\RuntimeConfigurable $child)

### Parameters

#### $child

## Add characters from #PCDATA areas to the wrapped element.

    addText($data)

### Parameters

#### $data

## Returns the AttributeList of the wrapped element.

    getAttributes()

## Returns the child with index

    getChild($index)

### Parameters

#### $index

## getElementTag()

    getElementTag()

## Configure the wrapped element and all children.

    maybeConfigure(\Project $project)

### Parameters

#### $project

## Set's the attributes for the wrapped element.

    setAttributes($attributes)

### Parameters

#### $attributes

## setProxy()

    setProxy($proxy)

### Parameters

#### $proxy

### Properties

##

    $attributes

##

    $characters

##

    $children

##

    $elementTag

##

    $wrappedObject